/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.clientes;

import java.util.logging.Level;
import servidor.utiles.MensajeException;

public class Monitor extends Cliente {

   public static final int MSG_ALTA = 202;
   public static final int MSG_BAJA = 203;
   public static final int MSG_FE_DE_VIDA = 204;
   public static final int MSG_EN_TRANSITO = 205;
   public static final int MSG_ENVIO_RESUMEN_RETRASOS = 206;
   public static final int MSG_ENVIO_PENDIENTES = 207;
   public static final int MSG_TEST_SONIDO = 290;
   public String nombre = "";
   public boolean necesario = false;

   public Monitor(servidor.comunicaciones.Mensaje msj) throws MensajeException {
      super(msj.getHandler());
      tipo = "monitor";
   }

   @Override
   public void cerrarConexion() {
      try {
         gestor.desconectarMonitor(this);
      } catch (Exception exc) {
         servidor.ServidorMain.log.log(Level.WARNING, "Error al desconectar Monitor \n{0}", exc.getMessage());
      }
   }

   @Override
   public String toString() {
      return "IP: " + ipAdd + (muerto ? " (rip)" : "");
   }
}
